Q

Error: 'Tools that require an Exchange 5.5 server will not run'

During an Exchange 2003 deployment, an administrator is receiving the ExDeploy log error: "Could not connect to the Exchange 5.5 server. Tools that require an Exchange 5.5 server will not run." Expert Peter terSteeg explains why.

I am trying to install Exchange 2003 Enterprise Edition on a Windows Server 2003 Standard Edition (member server). My ExDeploy log runs this error: "Could not connect to the Exchange 5.5 server. Tools that require an Exchange 5.5 server will not run." What's going on?
VIEW MEMBER FEEDBACK TO THIS ASK THE EXPERT Q&A.

My initial guess is that you have one of these components installed that only work with Exchange 2000/2003:

cc:Mail Connector
Chat
Conferencing Server
Instant Messaging
Key Management Service
Mobile Information Server
MSMail Connector

Could it be that you are trying to install an Exchange 2003 server into your existing Exchange 5.5 implementation to continue on with an intra-organizational migration? If so, just ensure those components are removed prior to the install.


MEMBER FEEDBACK TO THIS ASK THE EXPERT Q&A:

The named error could also occur if the Exchange 5.5 server has its LDAP protocol turned off, if the default LDAP port number from 389 has been changed, or the Exchange 5.5 server is on a Windows 2000 domain controller resulting in an LDAP port conflict.

Some ExDeploy tools, such as the Active Directory Connector (ADC), will use this port in communicating with Exchange 5.5; you can change the LDAP port and the authentication method in the ExDeploy configuration setup.

It would seem an unintentional misstatement that the listed components only work with Exchange 2000/2003. The listed components work with Exchange 5.5 and Exchange 2000, but are obsolete in Exchange 2003. They can continue running in a mixed Exchange 5.5/2000/2003 organization as long as they are not on the Exchange 2003 server.

Also, it is not necessary to ensure the listed components are removed prior to the install of the Exchange 2003 server into the Exchange 5.5 site. Removal would be required if the user planned to upgrade an Exchange 2000 server to an Exchange 2003 server with these installed.
—Keith G.


Do you have comments on this Ask the Expert Q&A? Let us know.

Related information from SearchExchange.com:

  • 11 tips in 11 minutes: Migrating from Exchange 5.5 to Exchange Server 2003
  • Learning Guide: Exchange Migration
  • Reference Center: Migration tools
  • Reference Center: Migration advice
  • This was first published in March 2006

    Dig deeper on Exchange Server Deployment and Migration Advice

    Pro+

    Features

    Enjoy the benefits of Pro+ membership, learn more and join.

    Have a question for an expert?

    Please add a title for your question

    Get answers from a TechTarget expert on whatever's puzzling you.

    You will be able to add details on the next page.

    0 comments

    Oldest 

    Forgot Password?

    No problem! Submit your e-mail address below. We'll send you an email containing your password.

    Your password has been sent to:

    -ADS BY GOOGLE

    SearchWindowsServer

    SearchEnterpriseDesktop

    SearchCloudComputing

    SearchSQLServer

    Close